> ## Documentation Index > Fetch the complete documentation index at: https://docs.graphiant.com/llms.txt > Use this file to discover all available pages before exploring further. # /v2/assurance/topology-site-summaries ## OpenAPI ````json POST /v2/assurance/topology-site-summaries { "openapi": "3.0.0", "info": { "title": "Graphiant APIs", "version": "1.0.0", "description": "Graphiant API documentation." }, "servers": [ { "url": "https://api.graphiant.com" } ], "security": [ { "jwtAuth": [] } ], "tags": [], "paths": { "/v2/assurance/topology-site-summaries": { "post": { "security": [ { "jwtAuth": [] } ], "parameters": [ { "in": "header", "name": "Authorization", "required": true, "schema": { "type": "string" }, "description": "Bearer token. Format: Bearer " } ], "requestBody": { "required": true, "content": { "application/json": { "schema": { "$ref": "#/components/schemas/v2AssuranceTopologySiteSummariesPostRequest" } } } }, "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/v2AssuranceTopologySiteSummariesPostResponse" } } } } } } } }, "components": { "schemas": { "v2AssuranceTopologySiteSummariesPostRequest": { "type": "object", "properties": { "appName": { "type": "string", "example": "example string" }, "appServerKey": { "type": "string", "example": "example string" }, "bucketId": { "type": "string", "example": "ENUM_VALUE" }, "exchangeServiceId": { "type": "integer", "format": "int64", "example": 1234567891011 }, "filter": { "$ref": "#/components/schemas/assuranceTopologyFilter" }, "flexAlgoId": { "type": "integer", "format": "int64", "example": 1234567891011 }, "timeWindow": { "$ref": "#/components/schemas/assuranceTimeWindow" } }, "additionalProperties": false }, "v2AssuranceTopologySiteSummariesPostResponse": { "type": "object", "properties": { "summaries": { "type": "array", "items": { "$ref": "#/components/schemas/v2AssuranceTopologySiteSummariesPostResponseSummary" } } }, "additionalProperties": false }, "assuranceTopologyFilter": { "type": "object", "properties": { "clientSiteIds": { "type": "array", "items": { "type": "integer", "format": "int64", "example": 1234567891011 } }, "regionIds": { "type": "array", "items": { "type": "integer", "format": "int32", "example": 123 } }, "serverSiteIds": { "type": "array", "items": { "type": "integer", "format": "int64", "example": 1234567891011 } } }, "additionalProperties": false }, "assuranceTimeWindow": { "type": "object", "properties": { "bucketSizeSec": { "type": "integer", "format": "int32", "example": 123, "minimum": 0 }, "oldTs": { "$ref": "#/components/schemas/googleProtobufTimestamp" }, "recentTs": { "$ref": "#/components/schemas/googleProtobufTimestamp" } }, "additionalProperties": false }, "v2AssuranceTopologySiteSummariesPostResponseSummary": { "type": "object", "properties": { "appName": { "type": "string", "example": "example string" }, "lanSegments": { "type": "array", "items": { "type": "string", "example": "example string" } }, "sessionCount": { "type": "integer", "format": "int32", "example": 123 }, "site": { "$ref": "#/components/schemas/assuranceSite" } }, "additionalProperties": false }, "googleProtobufTimestamp": { "type": "object", "properties": { "nanos": { "type": "integer", "format": "int32", "example": 123 }, "seconds": { "type": "integer", "format": "int64", "example": 1234567891011 } }, "additionalProperties": false }, "assuranceSite": { "type": "object", "properties": { "regionId": { "type": "integer", "format": "int32", "example": 123 }, "siteEnterpriseName": { "type": "string", "example": "example string" }, "siteId": { "type": "integer", "format": "int64", "example": 1234567891011 }, "siteName": { "type": "string", "example": "example string" } }, "additionalProperties": false } }, "securitySchemes": { "jwtAuth": { "type": "apiKey", "in": "header", "name": "authorization", "description": "Use `Bearer `" } } } } ````